package org.academiadecodigo.enuminatti.paint.grid;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class Position {

    private int col;
    private int row;

    Position(int col, int row) {
        this.col = col;
        this.row = row;
    }

    public int getCol() {
        return col;
    }

    public int getRow() {
        return row;
    }

    @Override
    public boolean equals(Object obj) {
        if (!(obj instanceof Position))
            return false;

        Position other = (Position) obj;
        return getCol() == other.getCol() && getRow() == other.getRow();
    }
}
